Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class DefaultHTTPTransportClientProperties

    java.lang.Object
      org.apache.axis.components.net.DefaultHTTPTransportClientProperties

All Implemented Interfaces:
  TransportClientProperties

Direct Known Subclasses:
  DefaultHTTPSTransportClientProperties

public class DefaultHTTPTransportClientProperties
extends Object
implements TransportClientProperties

Author:
  Richard A. Sitze

Field Summary
`protected String` | `nonProxyHosts`
`protected String` | `proxyHost`
`protected String` | `proxyPassword`
`protected String` | `proxyPort`
`protected String` | `proxyUser`

Constructor Summary
`DefaultHTTPTransportClientProperties()`

Method Summary
`String` | `getNonProxyHosts()` Returns a valid String, may be empty ("").
`String` | `getProxyHost()` Returns a valid String, may be empty ("").
`String` | `getProxyPassword()` Returns a valid String, may be empty ("").
`String` | `getProxyPort()` Returns a valid String, may be empty ("").
`String` | `getProxyUser()` Returns a valid String, may be empty ("").

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proxyHost

    protected String proxyHost

### nonProxyHosts

    protected String nonProxyHosts

### proxyPort

    protected String proxyPort

### proxyUser

    protected String proxyUser

### proxyPassword

    protected String proxyPassword

Constructor Detail

### DefaultHTTPTransportClientProperties

    public DefaultHTTPTransportClientProperties()

Method Detail

### getProxyHost

    public String getProxyHost()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyHost` in interface `TransportClientProperties`
  See Also:
    `TransportClientProperties.getProxyHost()`

### getNonProxyHosts

    public String getNonProxyHosts()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getNonProxyHosts` in interface `TransportClientProperties`
  See Also:
    `TransportClientProperties.getNonProxyHosts()`

### getProxyPort

    public String getProxyPort()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyPort` in interface `TransportClientProperties`
  See Also:
    `org.apache.axis.components.net.TransportClientProperties#getPort()`

### getProxyUser

    public String getProxyUser()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyUser` in interface `TransportClientProperties`
  See Also:
    `TransportClientProperties.getProxyUser()`

### getProxyPassword

    public String getProxyPassword()

  Description copied from interface: `TransportClientProperties`
  Returns a valid String, may be empty ("").

  Specified by:
    `getProxyPassword` in interface `TransportClientProperties`
  See Also:
    `TransportClientProperties.getProxyPassword()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.